convert to custom pline

winpegasus
edited November 2022 in LISP Codes
Hello,
With this command, I can give a straight line on the band by changing the range of 3 mm or by making an elevation again. But the corner radius points are very difficult for me, I have to fillet, in this case I cannot catch the proportion of the figure. First, can we draw those curved areas with pline or line and transform them with lisp, giving the opportunity to choose the thickness we want. Could you help ?

(defun c:3mm_membran ( / oldlt)
(setq oldlt (getvar 'celtype))
(command "layer" "s" "membran" "")
(setvar 'celtype "hidden")
(setvar 'CELTSCALE 3)
(setvar 'plinewid 2.4)
(setq pt (getpoint "\nPline start point: "))
(command "_pline" pt)
(while (= (getvar "cmdactive") 1 )
(command (getpoint (getvar 'lastpoint)))
)
(if (= (getvar "cmdactive")0)
(progn
(setq plent (vlax-ename->vla-object (entlast)))
(if (vlax-method-applicable-p plent 'offset)
(progn
(vla-offset plent 1.5)
(setq en1 (vlax-ename->vla-object (entlast)))
(vla-put-Constantwidth en1 0)
(vla-put-linetypescale en1 1)
(vla-put-linetype en1 "Continuous")
(vla-offset plent -1.5)
(setq en2 (vlax-ename->vla-object (entlast)))
(vla-put-Constantwidth en2 0)
(vla-put-linetypescale en2 1)
(vla-put-linetype en2 "Continuous")))))
(setvar 'celtype oldlt)
(setvar 'CELTSCALE 1)
(setvar 'plinewid 0.0)
(princ )
)